[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.UpdateFile

Update the file on disk

## Declaration

Source position: inifiles.pp line 199

`public procedure TCustomIniFile.UpdateFile; virtual; abstract;`

## Description

UpdateFile writes the in-memory image of the ini-file to disk. To speed up operation of the inifile class, the whole ini-file is read into memory when the class is created, and all operations are performed in-memory. If CacheUpdates is set to True, any changes to the inifile are only in memory, until they are committed to disk with a call to UpdateFile. If CacheUpdates is set to False, then all operations which cause a change in the .ini file will immediately be committed to disk with a call to UpdateFile. Since the whole file is written to disk, this may have serious impact on performance.

## See also

CacheUpdates |  | Should changes be kept in memory